Page MenuHomePhabricator

Highlight revisions from the same user
Open, NormalPublic

Description

Problem: Sometimes one user makes many edits after each other. As somebody who controls the quality of the article, I want to see all changes made at once, and not seperated in edits (which makes it harder to understand the edits as a whole). It is possible to see the revisions authors at a glance in the history view. In the revision slider, this is more complicated

Solution:

  • Next to the user name in the info tool tip, add a bubble (as shown in the mock).
  • When users hover over that bubble, the user name row is circled, and all revisions of that user are highlighted. Once the hovering ends, the highlighting ends.
  • When users click on the bubble, the user name row is circled, and all revisions of that user are highlighted. The highlighting stays, until the bubble is clicked again, or until another user name was selected.
  • There is always just one active filter. E.g. if currently all edits by a certain user are highlighted, and then I select the bubble next to the blanked tag, the filter for the specific user is lost, and only edits with the blanked tag are highlighted
  • Highlighted revisions through hovering does not remove a currently active filter. E.g. if currently all edits user A are highlighted, and then I hover over the bubble of user B, I only see revisions of user B and not the edits of user A. However, when I don't hover over the bubble of user B, the filter for user A is reinstated again
  • The filter behavior when something is selected or hovered over always works as described above, no matter if the competing filters are tag or user name filters.

Design details:
circle color changes: normal:#E3E3E3, selected: #CCC, border: 1px black, 30% opacity.
border around the row when selected: #E0E0E0
The corresponding edit-bars in the diagram also change color: 10% darker, border black, 30% opacity.

Mock

Notes
Although the mock shows bubbles both for user names and tags, this ticket is for user names only. The tag filtering is handled in T203581. At the end, users should have the same experience in both cases, though.

Event Timeline

Lea_WMDE created this task.May 24 2016, 3:59 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 24 2016, 3:59 PM
Lea_WMDE renamed this task from Highlight revisions from the same user NEEDS MOCK to Highlight revisions from the same user NEEDS MOCK IF REALIZED.May 24 2016, 4:58 PM
Lea_WMDE moved this task from Incoming to Revision Slider on the TCB-Team board.May 26 2016, 3:43 PM
Lea_WMDE renamed this task from Highlight revisions from the same user NEEDS MOCK IF REALIZED to Highlight revisions from the same user.Aug 2 2018, 11:53 AM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE added a subscriber: Bmueller.
Lea_WMDE updated the task description. (Show Details)Aug 2 2018, 11:59 AM

Change 454526 had a related patch set uploaded (by Gopavasanth; owner: Gopavasanth):
[mediawiki/extensions/RevisionSlider@master] Highlight revisions from the same user T136105

https://gerrit.wikimedia.org/r/454526

Change 454526 had a related patch set uploaded (by Gopavasanth; owner: Gopavasanth):
[mediawiki/extensions/RevisionSlider@master] Highlight revisions from the same user

https://gerrit.wikimedia.org/r/454526

@Gopavasanth While testing your patch, I notice a couple minor CSS issues:

  • The bubble in the highlighted user row is not aligned well. It is also not the same as shown in the screenshot. Also, the box touches the username label
  • The highlighted revision currently does not show a border as shown in the mock-up of this task description

See screenshot:

I tested with Firefox, and run into some issues, unfortunately:

The gray dot wraps to the next line, and I get quite some flickering (probably an issue that follows directly from the misplaced dot). This does not happen in Chrome.

When testing with Chrome I wonder how exactly the feature is meant to be used? What currently happens is that I can click the gray dot to highlight edits made by the same user. That's fine. But when I move the mouse around and hover the gray dot, the same happens, and the highlighting constantly appears/disappears without clicking. I don't think this is intended.

Lea_WMDE updated the task description. (Show Details)Sep 21 2018, 1:10 PM
Lea_WMDE added a comment.EditedSep 21 2018, 1:13 PM

I updated the task description to make its relation to tag filters more clear.

@thiemowmde wrote:

When testing with Chrome I wonder how exactly the feature is meant to be used? What currently happens is that I can click the gray dot to highlight edits made by the same user. That's fine. But when I move the mouse around and hover the gray dot, the same happens, and the highlighting constantly appears/disappears without clicking. I don't think this is intended.

What is supposed to happen is this:

  • You click the bubble: The user's revisions are highlighted and stay highlighted, until another bubble is selected or this bubble is deselected
  • You hover an "inactive" bubble: The revisions are highlighted, but only for as long as you hover

There should not be any flickering, and if revisions of a user are already highlighted, nothing should happen when hovering that bubble

It's hard to describe the current behavior of the patch. It feels somewhat unpredictable. I think we had a very productive IRC session with @Gopavasanth yesterday and he will figure this out.

It's hard to describe the current behavior of the patch. It feels somewhat unpredictable.

I made a few changes and pushed *patchset-15*, Now it's working good without any misbehavior.

Change 454526 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Highlight revisions from the same user

https://gerrit.wikimedia.org/r/454526

Yay! This is live! I just found two small things @Gopavasanth:
The selected bars overlap in a bit of an untidy way with the other elements. However, no lines should be cut off, i.e. if we are drawing a line we want to see it fully.

And secondly: Just as described in the ticket, you put a bubble next to the user name. Seeing this live, though, I realize that the bubble needed to be positioned much more to the right as expected in the mock. Therefore, it is not as clear what the bubble will do and that it is connected to the user name. I thus propose to always have the circling around user name an bubble. WMDE-Design (@Charlie_WMDE) what do you think?

Hi @Gopavasanth and @Lea_WMDE

There seem to be two issues here.

  1. The overlap is cause because the highlighted columns now have a 1px border which changes their size.

What needs to happen here is to have the border inline. This can be done with CSS.

  1. Secondly the contrast between the selected revisions and the highlight seems to be to minimal so it might be hard to see the filtered revisions.

If I can see it correctly you have applied the same color to the columns when selected with the filter, regardless whether they are in the selected revisions area or outside of it.

I would suggest, instead of applying the same hue, to make the columns 10% darker. So the already darker columns from the selected revisions will have the same amount of contrast to their neighboring columns as do the ones outside of the selected revisions.

I hope this helps! Otherwise please feel free to ping me so I can explain it in a better way.

I forgot the second issue with the bubble!

What I would suggest for this is to have the bubble in a defined area on the right which never overlaps with any text. Basically a kind of area reserved for interactions in the box.

The red highlighted area, is where no text should ever go. So what would be necessary is to force a line break right before that area so the bubbles can always have their fixed space. This will also fix issues with them overlapping long user names etc.

All of @Charlie_WMDE ’s suggestions sound great to me!

Yeah, I too agree with the @Charlie_WMDE suggestions.

Change 474410 had a related patch set uploaded (by Gopavasanth; owner: Gopavasanth):
[mediawiki/extensions/RevisionSlider@master] Highlight revisions from the same user

https://gerrit.wikimedia.org/r/474410

Change 474410 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Highlight revisions from the same user

https://gerrit.wikimedia.org/r/474410